Bug 1780835 - Serverless Service / route models clash with other models
Summary: Serverless Service / route models clash with other models
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.3.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1780392
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-07 13:52 UTC by Samuel Padgett
Modified: 2020-01-23 11:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1780392
Environment:
Version: 4.3.0-0.nightly-2019-12-04-054458 Cluster ID: cf4140ef-20ce-4aea-a4cc-9d3410c49891 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:71.0) Gecko/20100101 Firefox/71.0
Last Closed: 2020-01-23 11:18:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 3718 'None' 'open' '[release-4.3] Bug 1780835: Fix `hasModel` check for CRD models' 2019-12-07 13:52:44 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:18:35 UTC

Description Samuel Padgett 2019-12-07 13:52:24 UTC
+++ This bug was initially created as a clone of Bug #1780392 +++

See https://jira.coreos.com/browse/ODC-2125

The badges, colors, and abbreviations are wrong for Knative Services and Routes in console due to a clash of names with k8s Services and OpenShift Routes.

Comment 2 Yadan Pei 2019-12-09 06:44:05 UTC
1. cluster admin subscribed the 'OpenShift Serverless Operator' and make sure it's installed successfully
2. Serverless -> Services -> click 'Create Service' button -> Create, it shows Tech Preview on YAML editor page
3. Also on Serverless -> Routes, Revisions page, it also shows 'Tech Preview' and resource icon color for services, routes, revisions is yellow not green(Networking services, routes...) 

Also the HTTP requests are sending to correct API
/api/kubernetes/apis/serving.knative.dev/v1beta1/namespaces/openshift-operators/services?watch=true&resourceVersion=122631
/api/kubernetes/apis/serving.knative.dev/v1beta1/namespaces/openshift-operators/services


Verified on 4.3.0-0.nightly-2019-12-08-215349

Comment 4 errata-xmlrpc 2020-01-23 11:18:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.